# -*- coding: utf-8 -*-
#------------------------------------------------------------
# copyright by Buildstube / https://www.Buildstuben.de/
#------------------------------------------------------------


import os
import sys
import plugintools
import xbmc,xbmcaddon
from addon.common.addon import Addon

addonID = 'plugin.video.Onkelz'
addon = Addon(addonID, sys.argv)
local = xbmcaddon.Addon(id=addonID)
icon = local.getAddonInfo('icon')
fanart = local.getAddonInfo('fanart')

YOUTUBE_CHANNEL_ID1 = "ONKELZoffiziell"
YOUTUBE_CHANNEL_ID2 = "RDEMrqW17GmC8r3rMozC_5JT-w"
YOUTUBE_CHANNEL_ID3 = "PLFCCFCBCE674A60B3"
YOUTUBE_CHANNEL_ID4 = "UCzSf3hmwKY1WLYl4NuXXO3A"
YOUTUBE_CHANNEL_ID5 = "gReK76TA8Q4"
YOUTUBE_CHANNEL_ID6 = "RV9-yfmpw2Q"
YOUTUBE_CHANNEL_ID7 = "fKSruR7R1gY"



# Entry point
def run():
    plugintools.log("Musik.run")
    
    # Get params
    params = plugintools.get_params()
    
    if params.get("action") is None:
        main_list(params)
    else:
        pass
    
    plugintools.close_item_list()

# Main menu
def main_list(params):
    plugintools.log("Musik.main_list "+repr(params))

 
    plugintools.add_item( 
        title="----------Onkelz4Ever----------",
        url="",
        thumbnail="special://home/addons/plugin.video.Onkelz/data/icon.png",
        fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
        folder=False )



    plugintools.add_item( 
        #action="", 
        title="> Onkelz Official",
        url="plugin://plugin.video.youtube/user/"+YOUTUBE_CHANNEL_ID1+"/",
        thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
        fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
        folder=True )
        
        
    plugintools.add_item(
    	#action=""
    	title="> Onkelz Tuber",
        url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID2+"/",
        thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
        fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
        folder=True )


    plugintools.add_item(
		#action=""
		title="> Onkelz Evil",
		url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID3+"/",
		thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		folder=True )    	   
		
		
	plugintools.add_item(
		#action=""
		title="> Bomberpilot44",
		url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID4+"/",
		thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		folder=True ) 


	plugintools.add_item( 
        title="----------Konzerte----------",
        url="",
        thumbnail="special://home/addons/plugin.video.Onkelz/data/icon.png",
        fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
        folder=False )		


	plugintools.add_item(
		#action=""
		title="> Hockenheim Konzert",
		url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID5+"/",
		thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		folder=True ) 


    plugintools.add_item(
		#action=""
		title="> Maximus Festival Argentininen",
		url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID6+"/",
		thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		folder=True )   
		
		
	plugintools.add_item(
		#action=""
		title="> Necronomicon Live",
		url="plugin://plugin.video.youtube/playlist/"+YOUTUBE_CHANNEL_ID7+"/",
		thumbnail="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		fanart="special://home/addons/plugin.video.Onkelz/data/onk1.jpg",
		folder=True )   


		
		
		
		
		
		
run()
